Skip to main content
ExLibris
  • Subscribe by RSS
  • ExLibris Dev

    Course reading - search problem: "Library Code XXX20 not in file library.ini"

    • Article Type: General
    • Product: Aleph
    • Product Version: 21

    Problem Symptoms:
    In circulation, List of Courses, Course Doc List, we click on Search (on the right-hand side of the screen, just above "Catalog New").
    Then we get message "Library Code XXX20 not in file library.ini".
    We do not have a library XXX20.

    Cause:
    Obsolete configuration relating to old ILL library XXX20

    Resolution:
    Remove all obsolete occurences of old ILL library XXX20

    Additional Information

    1. Adapt the following files

    $alephe_tab/tab_base.lng

    XXX20 * ILL XXX20 N <<<< remove line

    $alephe_tab/library_relation
    ADM XXX20 XXX50 <<< remove the line
    BIB XXX50 XXX01 XXX20 XXX30 <<< remove XXX20 from this line
    ILL XXX50 XXX20 <<< remove this line
    PAS XXX50 XXX01 XXX10 XXX60 XXX20 XXX30 XXX00 XXX40 <<<< remove XXX20 from this line

    $alephe_tab/tab_library_group
    ! 1 2 3 4 5 6 7 8 9
    !!!!!-!!!!!-!!!!!-!!!!!-!!!!!-!!!!!-!!!!!-!!!!!-!!!!!>
    XXX01
    XXX10
    XXX20 <<< remove this line

    Category: Course reading/ALEPH

    Subject: ALEPH - 500


    • Article last edited: 2/11/2014
    //doorbell.io feedback widged